org.eclipse.viatra.query.runtime.rete.network.communication

## Class Timestamp

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.network.communication.Timestamp

- All Implemented Interfaces:
    java.lang.Comparable<Timestamp>, MessageSelector

      public class Timestamp
      extends java.lang.Object
      implements java.lang.Comparable<Timestamp>, MessageSelector

  A timestamp associated with update messages in timely evaluation.
  Since:
    2.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Timestamp.AllZeroMap<T>` A `Map` implementation that associates the zero timestamp with every key.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Timeline<Timestamp>` | `INSERT_AT_ZERO_TIMELINE`
    `protected int` | `value`
    `static Timestamp` | `ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timestamp(int value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Timestamp that)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getValue()`
    `int` | `hashCode()`
    `Timestamp` | `max(Timestamp that)`
    `Timestamp` | `min(Timestamp that)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected final int value

    - #### ZERO

          public static final Timestamp ZERO

    - #### INSERT_AT_ZERO_TIMELINE

          public static final Timeline<Timestamp> INSERT_AT_ZERO_TIMELINE

      Since:
        2.4

  - ### Constructor Detail

    - #### Timestamp

          public Timestamp(int value)

  - ### Method Detail

    - #### getValue

          public int getValue()

    - #### max

          public Timestamp max(Timestamp that)

    - #### min

          public Timestamp min(Timestamp that)

      Since:
        2.4

    - #### compareTo

          public int compareTo(Timestamp that)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Timestamp>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`